eoSortedStatBase(3)

NAME
eoSortedStatBase - Base class for statistics calculated over a sorted snapshot of the population.

SYNOPSIS

#include <eoStat.h>

Inherits eoUF< const std::vector< const EOT * > &, void >.

Inherited by eoSortedStat< EOT, ParamType >, eoSortedStat< EOT, EOT::Fitness >, eoSortedStat< EOT, std::string >, eoSortedStat< EOT, std::vector< double > >, eoSortedStat< EOT, std::vector< FitT > >, and eoSortedStat< EOT, std::vector< PartFitT > >.

  Public Member Functions
virtual void lastCall (const std::vector< const EOT * > &)
virtual std::string className (void) const

Detailed Description

  template<class EOT> class eoSortedStatBase< EOT >
Base class for statistics calculated over a sorted snapshot of the population.

Definition at line 76 of file eoStat.h.

Author

Generated automatically by Doxygen for EO from the source code.